Package com.verisign.epp.codec.maintenance.v1_0

## Class EPPMaintenanceInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.maintenance.v1_0.EPPMaintenanceInfoCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPMaintenanceInfoCmd
      extends EPPInfoCmd

  Command used to used to retrieve registry maintenance information.
  See Also:
    `EPPMaintenanceInfoResp`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EPPMaintenanceInfoCmd.InfoType` | The type of the info command, which is for an individual maintenance or a list of maintenances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPMaintenanceInfoCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPMaintenanceInfoCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPMaintenanceInfoCmd()` | `EPPMaintenanceInfoCmd` default constructor.
    `EPPMaintenanceInfoCmd​(java.lang.String aTransId)` | `EPPMaintenanceInfoCmd` constructor that only takes the client transaction identifier.
    `EPPMaintenanceInfoCmd​(java.lang.String aTransId, java.lang.String aMaintenanceId)` | `EPPMaintenanceInfoCmd` constructor that takes the transaction identifier and the maintenance identifier, while will automatically set the `infoType` to `InfoType.id`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPMaintenanceInfoCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPMaintenanceInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPMaintenanceInfoCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPMaintenanceInfoCmd` with this instance.
    `EPPMaintenanceInfoCmd.InfoType` | `getInfoType()` | Gets the i`infoType`for the info command.
    `java.lang.String` | `getKey()` | Gets the key for the maintenance object, which is the maintenance identifier.
    `java.lang.String` | `getMaintenanceId()` | Gets the maintenance identifier.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPMaintenanceInfoCmd`.
    `void` | `setInfoType​(EPPMaintenanceInfoCmd.InfoType aInfoType)` | Sets the `infoType` for the info command.
    `void` | `setMaintenanceId​(java.lang.String aMaintenanceId)` | Sets the maintenance identifier.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPMaintenanceInfoCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPMaintenanceInfoCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPMaintenanceInfoCmd

          public EPPMaintenanceInfoCmd()

      `EPPMaintenanceInfoCmd` default constructor.

    - #### EPPMaintenanceInfoCmd

          public EPPMaintenanceInfoCmd​(java.lang.String aTransId)

      `EPPMaintenanceInfoCmd` constructor that only takes the client transaction identifier. The `infoType` is set to `InfoType.list`.
      Parameters:
        `aTransId` - Transaction Id associated with command.

    - #### EPPMaintenanceInfoCmd

          public EPPMaintenanceInfoCmd​(java.lang.String aTransId,
                                       java.lang.String aMaintenanceId)

      `EPPMaintenanceInfoCmd` constructor that takes the transaction identifier and the maintenance identifier, while will automatically set the `infoType` to `InfoType.id`.
      Parameters:
        `aTransId` - Transaction Id associated with command. Set to `null` if a client transaction identifier is not desired.
        `aMaintenanceId` - Maintenance notification identifier to retrieve

  - ### Method Detail

    - #### getInfoType

          public EPPMaintenanceInfoCmd.InfoType getInfoType()

      Gets the i`infoType`for the info command.
      Returns:
        the `infoType` for the info command.

    - #### setInfoType

          public void setInfoType​(EPPMaintenanceInfoCmd.InfoType aInfoType)

      Sets the `infoType` for the info command. The maintenance notification identifier is used only when the `infoType` is set to `InfoType.id`.
      Parameters:
        `aInfoType` - The `infoType` for the info command.

    - #### getMaintenanceId

          public java.lang.String getMaintenanceId()

      Gets the maintenance identifier.
      Returns:
        The maintenance identifier if defined; `null` otherwise.

    - #### setMaintenanceId

          public void setMaintenanceId​(java.lang.String aMaintenanceId)

      Sets the maintenance identifier. When set to a non-`null` value, the `infoType` is set to `InfoType.id`; otherwise `infoType` is set to `InfoType.list`
      Parameters:
        `aMaintenanceId` - The maintenance notification identifier.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPMaintenanceInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPMaintenanceInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPMaintenanceInfoCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPMaintenanceInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPMaintenanceInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPMaintenanceInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPMaintenanceInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPMaintenanceInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPMaintenanceInfoCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPMaintenanceMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the maintenance object, which is the maintenance identifier.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The maintenance identifier if set; `null` otherwise.